Bug 437808 - Desktop freezes after sleep on fresh upgrade to Fedora 34/KDE
Summary: Desktop freezes after sleep on fresh upgrade to Fedora 34/KDE
Status: RESOLVED DUPLICATE of bug 457284
Alias: None
Product: plasmashell
Classification: Plasma
Component: generic-performance (show other bugs)
Version: master
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2021-05-29 00:40 UTC by bugs.kde
Modified: 2022-09-22 14:41 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugs.kde 2021-05-29 00:40:55 UTC
SUMMARY
Desktop computer, fresh upgrade-in-place from Fedora 33/KDE to Fedora 34/KDE.  Screen won't come back after power-save sleep. I have been running Fedora/KDE for years on this machine. This is the 2nd machine I have had this problem within 2 weeks.

STEPS TO REPRODUCE
1.  Start computer, log in to KDE desktop. 
2. Leave idle for default 10 minutes when screen goes to sleep.
3. Move mouse, or press any keys to restore screen

OBSERVED RESULT
Screen remains black, except for mouse cursor which moves.  No mouse kick nor key combination will restore screen.  I can CTRL-ALT-F3 into a terminal session.

EXPECTED RESULT
Screen should reactivate to either desktop or login screen.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: Fedora 34 5.12.7-300.fc34.x86_64
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 5.82.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
This happens on 2 different Dell desktop computer; one with Intel graphics, the other with nVidia graphics

Here are the only log results that I think may be pertinent:
May 27 21:13:09 KD1YV3 plasmashell[3230]: qrc:/plasma/plasmoids/org.kde.plasma.volume/contents/ui/ListItemBase.qml:231: TypeError: Cannot read property 'visible' of null
{snip}
May 27 21:16:21 KD1YV3 plasmashell[3230]: qrc:/plasma/plasmoids/org.kde.plasma.volume/contents/ui/ListItemBase.qml:153: TypeError: Cannot read property 'ports' of undefined
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "alsa_output.pci-0000_00_1f.3.analog-stereo"
May 27 21:16:21 KD1YV3 plasmashell[3230]: qrc:/plasma/plasmoids/org.kde.plasma.volume/contents/ui/ListItemBase.qml:153: TypeError: Cannot read property 'ports' of undefined
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "alsa_output.pci-0000_00_1f.3.analog-stereo"
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "alsa_input.pci-0000_00_1f.3.analog-stereo"
May 27 21:16:21 KD1YV3 plasmashell[3230]: qrc:/plasma/plasmoids/org.kde.plasma.volume/contents/ui/ListItemBase.qml:153: TypeError: Cannot read property 'ports' of undefined
May 27 21:16:21 KD1YV3 plasmashell[3230]: qrc:/plasma/plasmoids/org.kde.plasma.volume/contents/ui/ListItemBase.qml:153: TypeError: Cannot read property 'ports' of undefined
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "alsa_output.pci-0000_00_1f.3.analog-stereo"
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "alsa_input.pci-0000_00_1f.3.analog-stereo"
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "@DEFAULT_SINK@"
May 27 21:16:21 KD1YV3 plasmashell[3230]: org.kde.plasma.pulseaudio: No object for name "@DEFAULT_SOURCE@"
Comment 1 bugs.kde 2021-06-06 16:31:47 UTC
Is anybody looking into this?

Kludgey work-around - turn the monitor screen off then on again will temporarily restore the desktop.
Comment 2 Nate Graham 2021-06-09 20:29:05 UTC
Is this with X11 or Wayland?
Comment 3 bugs.kde 2021-06-09 20:35:16 UTC
(In reply to Nate Graham from comment #2)
> Is this with X11 or Wayland?

It is with Wayland
Comment 4 Nate Graham 2021-06-10 15:19:05 UTC
Ah right, this. And you're using Plasma 5.21.5?
Comment 5 bugs.kde 2021-06-10 16:36:18 UTC
(In reply to Nate Graham from comment #4)
> Ah right, this. And you're using Plasma 5.21.5?

Yes, 5.21.5-3.fc34
Comment 6 Nate Graham 2021-06-10 17:34:14 UTC
Seems similar to Bug 420160 but but not exactly the same thing.
Comment 7 bugs.kde 2021-06-10 17:52:58 UTC
(In reply to Nate Graham from comment #6)
> Seems similar to Bug 420160 but but not exactly the same thing.

Some similarities, but a lot of differences reported in the discussion of Bug 420160
Comment 8 bugs.kde 2021-06-10 20:28:41 UTC
Are there any tests or debugging parms that I can set to help diagnose this?

On 6/10/21 4:25 PM, Nick Cross wrote:
> https://bugs.kde.org/show_bug.cgi?id=437808
>
> Nick Cross <kde@goots.org> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |kde@goots.org
>
Comment 9 Walter Fuchs 2021-06-15 06:24:41 UTC
I've got this issue but I am using X11 rather than Wayland. 

I'm on Plasma 5.21.5 and am using Fedora 34. Like the original report stated though, I only had this issue after upgrading to Fedora 34.
Comment 10 Walter Fuchs 2021-06-20 09:00:35 UTC
(In reply to Walter Fuchs from comment #9)
> I've got this issue but I am using X11 rather than Wayland. 
> 
> I'm on Plasma 5.21.5 and am using Fedora 34. Like the original report stated
> though, I only had this issue after upgrading to Fedora 34.

I managed to find a kludgey workaround for my case, that is you installed KDE from the normal Fedora workstation rather than KDE spin iso and you use GDM rather than SDDM as your display manager). I have not tested whether this will work for the KDE spin. Nevertheless, it proceeds as follows 

1. While in KDE, go to your application menu and instead of pressing "Sleep", go to "Leave>Lock".

2. You will then be presented the KDE lock screen. From this screen, press CTRL+ALT+F1 which should take you back to the GDM Fedora login screen that you get when you boot into Fedora.

3. Choose suspend from the top right power icon in the GDM screen.

4. Your PC will then suspend. When you power back on (hopefully), you will be greeted with the GDM screen rather than the KDE login screen. If you log in from this screen (or press CTRL+ALT+F1 again), you will be back at the KDE login screen. 

5. At the KDE login screen, you will need to login back again. However, your desktop should be as you left it, fully useable. 

I have no idea why this works other than in does. I suspect something is not loading the lock screen correctly from sleep (as the lock function itself otherwise works flawlessly).
Comment 11 bugs.kde 2021-06-21 04:31:49 UTC
(In reply to Walter Fuchs from comment #10)
> (In reply to Walter Fuchs from comment #9)
> > I've got this issue but I am using X11 rather than Wayland. 
> > 
> > I'm on Plasma 5.21.5 and am using Fedora 34. Like the original report stated
> > though, I only had this issue after upgrading to Fedora 34.
> 
> I managed to find a kludgey workaround for my case, that is you installed
> KDE from the normal Fedora workstation rather than KDE spin iso and you use
> GDM rather than SDDM as your display manager). I have not tested whether
> this will work for the KDE spin. Nevertheless, it proceeds as follows 
> 
> 1. While in KDE, go to your application menu and instead of pressing
> "Sleep", go to "Leave>Lock".
> 
> 2. You will then be presented the KDE lock screen. From this screen, press
> CTRL+ALT+F1 which should take you back to the GDM Fedora login screen that
> you get when you boot into Fedora.

{snip}

> 
> I have no idea why this works other than in does. I suspect something is not
> loading the lock screen correctly from sleep (as the lock function itself
> otherwise works flawlessly).

Sorry, no (I am the Original Poster).  I did install KDE from KDE Spin ISO a few releases ago, but since then, I have upgraded KDE Spin from already installed KDE spin.  I do use SDDM, not GDM.  The problem occurs under Wayland but not under X11 for me (OP).

1)  I selected Lock from the menu.  This did display the normal KDE lock screen.

2)  I press CTRL-ALT-F1.  There is no change, it remains on the KDE lock screen.

3) ... since step 2 is not successful, there is no proceeding to further steps.
Comment 12 Walter Fuchs 2021-06-30 13:45:06 UTC
(In reply to bugs.kde from comment #11)

> Sorry, no (I am the Original Poster).  I did install KDE from KDE Spin ISO a
> few releases ago, but since then, I have upgraded KDE Spin from already
> installed KDE spin.  I do use SDDM, not GDM.  The problem occurs under
> Wayland but not under X11 for me (OP).
> 
> 1)  I selected Lock from the menu.  This did display the normal KDE lock
> screen.
>
> 2)  I press CTRL-ALT-F1.  There is no change, it remains on the KDE lock
> screen.
> 
> 3) ... since step 2 is not successful, there is no proceeding to further
> steps.

Ah sorry it didn't work for you. I installed from the workstation release (as I sometimes do use GNOME). I can confirm I no longer have the issue now on X11 after the update to plasma 5.22 came out. I can't say for Wayland as I do not use it.
Comment 13 bugs.kde 2021-06-30 15:14:45 UTC
(In reply to Walter Fuchs from comment #12)
> (In reply to bugs.kde from comment #11)
> 
> > Sorry, no (I am the Original Poster).  I did install KDE from KDE Spin ISO a
> > few releases ago, but since then, I have upgraded KDE Spin from already
> > installed KDE spin.  I do use SDDM, not GDM.  The problem occurs under
> > Wayland but not under X11 for me (OP).
> > 
> > 1)  I selected Lock from the menu.  This did display the normal KDE lock
> > screen.
> >
> > 2)  I press CTRL-ALT-F1.  There is no change, it remains on the KDE lock
> > screen.
> > 
> > 3) ... since step 2 is not successful, there is no proceeding to further
> > steps.
> 
> Ah sorry it didn't work for you. I installed from the workstation release
> (as I sometimes do use GNOME). I can confirm I no longer have the issue now
> on X11 after the update to plasma 5.22 came out. I can't say for Wayland as
> I do not use it.

Thanks for your update.  Before I saw your earlier post, I had not realized that running X11 instead of Wayland was even an option.  I tried it, it was a simple switch, and it worked for me.  I never had the freezes like what I had with Wayland.

When I saw the 5.22.1 updates for plasma a few days ago, I installed them.  I tenuously tried Wayland, and it worked again.  I am trying to stay with it, even though there are other issues, because I get the inference that X11 will be deprecated in the foreseeable future.

Thanks for your assistance.
Comment 14 travis.benedict 2021-10-17 14:11:57 UTC
Using a Thinkpad T14 AMD Gen1 on a dock with external monitor. The lock-screen will not signal the second monitor or the laptop screen to power back up from sleep. When the PC is powered on the BIOS will power up the the secondary screen like it is supposed to, but sometimes the lock-screen will be blank on the secondary screen (but will appear on the laptop when I open the lid even though it is configured to use the second screen only, like the BIOS is configured). I haven't been able to find a pattern because sometimes it works just fine and I can log in from sleep and reboot without problems. Alt+Ctl+F5 to bring up a new terminal and using loginctl to unlock the session results in half the screen on the external monitor flashing and other graphical errors.

Operating System: Fedora 34
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.2
Kernel Version: 5.14.11-200.fc34.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 16 × AMD Ryzen 7 PRO 4750U with Radeon Graphics
Memory: 30.6 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 15 gfunk 2021-11-11 00:10:02 UTC
For me, on Arch, this is now fixed in Plasma 5.23.3
Comment 16 Nuno Costa 2021-12-04 22:55:43 UTC
I'm having almost similar issues with Plasma 5.22.5-1 on Fedora 34 (upgrading since 31) but in my case, no mouse cursor is seen.

Turning monitor off and on again does not help here.

I can replicate with two situations:

1. By setting the power management to turn monitor off after one minute. Wait for the monitor turns off, and press any key on the keyboard or mouse and move the mouse. The UI does not come back, CAPS LOCK is still responsive.
2. Logout from the session. Login manager (sddm) is not displayed, CAPS LOCK is still responsive.

In both situations, only manual reset allows to restart the system. CTRL+ALT+any F function key does not work into to get any shell.

Situation 1 does not happen on X11 but #2 does so not sure if it is specific to Wayland or sddm.

System info:

Operating System: Fedora 34
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.85.0
Qt Version: 5.15.2
Kernel Version: 5.15.6-100.fc34.x86_64 (64-bit)
Graphics Platform: Wayland
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: 15,6 GiB of RAM
Graphics Processor: AMD Radeon RX 5700

Monitor: LG 5K ultrawide connected using displayport connection. No scaling.
Comment 17 gfunk 2021-12-04 23:03:55 UTC
(In reply to Nuno Costa from comment #16)
> System info:
> 
> Operating System: Fedora 34
> KDE Plasma Version: 5.22.5


This issue is fixed in Plasma 5.23, just upgrade to Fedora 35.
Comment 18 caleb 2022-03-25 13:30:55 UTC
(In reply to gfunk from comment #17)
> (In reply to Nuno Costa from comment #16)
> > System info:
> > 
> > Operating System: Fedora 34
> > KDE Plasma Version: 5.22.5
> 
> 
> This issue is fixed in Plasma 5.23, just upgrade to Fedora 35.

No, this issue is absolutely not fixed in 5.23. Or 5.24. Or Fedora 35. 

Lg Gram 17 2021, and can reproduce consistently. The only resolution seems to be adding nomodeset, but that disables Wayland. Works just fine in Gnome without the kernel parameter.
Comment 19 lrdarknesss 2022-09-20 21:11:04 UTC
Almost the same problem here.
I have two displays. 
When i resume the computer from sleep, one display (the bigger 4k one with 125% scaling) stays completely black, the other smaller one (1080p no scaling) surprisingly shows whatever was shown when the computer was put into sleep.

This is not only extremely annoying but also kind of a security risk, since everybody can now see, what i've done before i put the computer into standby.

I am using Plasma 5.25 on Manjaro Linux.
Comment 20 lrdarknesss 2022-09-20 21:13:07 UTC
I forgot to say, that when I resume the computer and see the black and frozen screen, I can't do anything besides restarting the system.
The first, black display also says "no signal" at some point.
Comment 21 Nate Graham 2022-09-22 14:41:57 UTC
The original issue is Bug 457284 which should be fixed in Plasma 5.26 now.

Those of you who are seeing no output on your screen with no cursor visible, or a total freeze with the cursor unable to move, those are different issues. Please file new bug reports to track them if you can still reproduce those issues with Plasma 5.25 or later. Thanks!

*** This bug has been marked as a duplicate of bug 457284 ***